apiVersion: v1
kind: Secret
metadata:
  name: {{ template "id-wordpress.fullname" . }}-wp
  labels:
    app: {{ template "id-wordpress.name" . }}
    chart: {{ .Chart.Name }}-{{ .Chart.Version | replace "+" "_" }}
    release: {{ .Release.Name }}
    heritage: {{ .Release.Service }}
type: Opaque
data:
  WORDPRESS_DB_PASSWORD: {{ .Values.db_password | b64enc | quote }}
  {{- range $key, $val := .Values.secrets }}
  {{ $key }}: {{ $val | b64enc | quote }}
  {{- end }}
